summaryrefslogtreecommitdiff
path: root/tools/ci/jobs
diff options
context:
space:
mode:
authorFedja Beader <fedja@protonmail.ch>2024-05-10 21:45:26 +0000
committerFedja Beader <fedja@protonmail.ch>2024-05-10 21:45:26 +0000
commit46aed0c6b9be60355d89b4a9cf264f45290986b7 (patch)
tree0d0902891c2858fe492187069664acbb838c0479 /tools/ci/jobs
parentdd1627eb548a7705f749d2e8529207e6123e5e2e (diff)
downloadplus-46aed0c6b9be60355d89b4a9cf264f45290986b7.tar.gz
plus-46aed0c6b9be60355d89b4a9cf264f45290986b7.tar.bz2
plus-46aed0c6b9be60355d89b4a9cf264f45290986b7.tar.xz
plus-46aed0c6b9be60355d89b4a9cf264f45290986b7.zip
Download mplint release instead of recompiling every time
Saves 1min10s by not compiling and another 15s by moving it together with linters. Squashed with: * Make sure mplint internal error or failure to run is detected * Make mplint breaking cause job to fail * Move linters out of lightweight.. goes faster, 3m46s -> 1m45s * Make script fail if any command returns nonzero or if any variable is unset. * Donwload mplint instead of building it **** mana/plus!80
Diffstat (limited to 'tools/ci/jobs')
-rwxr-xr-xtools/ci/jobs/mplint.sh25
1 files changed, 7 insertions, 18 deletions
diff --git a/tools/ci/jobs/mplint.sh b/tools/ci/jobs/mplint.sh
index 573cd1c85..60422e5f6 100755
--- a/tools/ci/jobs/mplint.sh
+++ b/tools/ci/jobs/mplint.sh
@@ -1,29 +1,18 @@
#!/usr/bin/env bash
-export CC=gcc
-export CXX=g++
-
-if [ "$NEWCC" != "" ]; then
- export CC="$NEWCC"
-fi
-if [ "$NEWCXX" != "" ]; then
- export CXX="$NEWCXX"
-fi
+set -e # Fail if any command fails
+set -u # Fail if any variable is unset when used
export LOGFILE=mplint_po.log
-
source ./tools/ci/scripts/init.sh
-export CXXFLAGS="-std=gnu++11"
+rm -rf mplint || true
+tools/ci/scripts/retry.sh wget -O mplint-release.zip "$MPLINT_PACKAGE_URL"
+unzip mplint-release.zip
-do_init
+read mplint_commit < mplint-version.txt
+printf "Using mplint: %s\n" "$mplint_commit"
-rm -rf mplint || true
-gitclone https://git.themanaworld.org/mana mplint.git
-cd mplint
-run_configure_simple
-run_make
-cd ..
echo " " >config.h
for task in "$@"; do
run_mplint $task